/*     LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.    */
/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2016_PERSONAL_DATA_(P-FILE)_Cross-Sectional_IT_DELIMITED.dct, clear
/*
label define  pb020_cl1 AT   "sterreich" BE   "Belgique" BG   "Bulgaria" CH   "Switzerland" CY   "Cyprus" CZ   "Czech" DE   "Deutschland" DK   "Danmark" EE   "Estonia" ES   "Espaa" FI   "Suomi" FR   "France" GR   "Ellda" HU   "Hungary" IE   "Ireland" IS   "Iceland" IT   "Italia" LT   "Lithuania" LU   "Luxembourg" LV   "Latvia" MT   "Malta" NL   "Nederland" NO   "Norway" PL   "Poland" PT   "Portugal" RO   "Romania" SE   "Sverige" SI   "Slovenia" SK   "Slovak/republic" UK   "United"  
label define  pb040_f_cl4 1   "filled" -7   "Not applicable: PB010 ne last year"  
label define  pb060_f_cl6 1   "filled" -3   "not selected respondent"  
label define  pb100_cl7 1   "January-March" 2   "April-June" 3   "July-September" 4   "October-December"  
label define  pb100_f_cl8 1   "filled" -1   "missing"  
label define  pb110_f_cl10 1   "filled" -1   "missing"  
label define  pb120_f_cl12 1   "filled" -1   "missing" -2   "na (information only extracted from registers)"  
label define  pb130_cl13 1   "January-March" 2   "April-June" 3   "July-September" 4   "October-December"  
label define  pb130_f_cl14 1   "filled" -1   "missing"  
label define  pb140_f_cl16 1   "filled" -1   "missing"  
label define  pb150_cl17 1   "Male" 2   "Female"  
label define  pb150_f_cl18 1   "filled" -1   "missing"  
label define  pb160_f_cl20 1   "filled" -1   "missing" -2   "na (father is not a household member)"  
label define  pb170_f_cl22 1   "filled" -1   "missing" -2   "na (mother is not a household member)"  
label define  pb180_f_cl24 1   "filled" -1   "missing" -2   "not applicable (person has no spouse/partner or spouse/partner is not a household member)"  
label define  pb190_cl25 1   "Never married" 2   "Married" 3   "Separated" 4   "Widowed" 5   "Divorced"  
label define  pb190_f_cl26 1   "filled" -1   "missing"  
label define  pb200_cl27 1   "yes on a legal basis" 2   "yes without a legal basis" 3   "no"  
label define  pb200_f_cl28 1   "filled" -1   "missing"  
label define  pb210_cl29 EU   "European Countries" LOC   "Italy" OTH   "Other"  
label define  pb210_f_cl30 1   "filled" -1   "missing"  
label define  pb220a_cl31 EU   "European Countries" LOC   "Italy" OTH   "Other"  
label define  pb220a_f_cl32 1   "filled" -1   "missing" -2   "only PB220B: na (no second citizenship)"  
label define  pe010_cl33 1   "in education" 2   "not in education"  
label define  pe010_f_cl34 1   "filled" -1   "missing"  
label define  pe020_cl35 0   "pre-primary education" 1   "primary education" 2   "lower secondary education" 3   "(upper) secondary education" 4   "post-secondary non tertiary education" 5   "first stage of tertiary education (not leading directly to an advanced research qualification)" 6   "second stage of tertiary education (leading to an advanced research qualification)" 10   "Primary education" 20   "Lower secondary education" 30   "Upper secondary education (not further specified)" 40   "Post-secondary non tertiary education (not further specified)" 50   "Tertiary education"  
label define  pe020_f_cl36 1   "filled" -1   "missing" -2   "na (PE010 not = 1)"  
label define  pe030_f_cl38 1   "filled" -1   "missing" -2   "Not applicable ((PE040=000 AND PB010 > 2013) OR (PE040_F=-2 AND PB010 < 2014))"  
label define  pe040_cl39 1   "primary education" 2   "lower secondary education" 3   "(upper) secondary education" 4   "post-secondary non tertiary education" 5   "first stage of tertiary education (not leading directly to an advanced research qualification)" 6   "second stage of tertiary education (leading to an advanced research qualification)" 000   "Less than primary education" 100   "Primary education" 200   "Lower secondary education" 300   "Upper secondary education (not further specified)" 400   "Post-secondary non-tertiary education (not further specified)" 500   "Tertiary education"  
label define  pe040_f_cl40 1   "filled" -1   "missing" -2   "non applicable (the person has never been in education) can only be used before 2014(PB010<2014)"  
label define  ph010_cl41 1   "very good" 2   "good" 3   "fair" 4   "bad" 5   "very bad"  
label define  ph010_f_cl42 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  ph020_cl43 1   "yes" 2   "no"  
label define  ph020_f_cl44 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  ph030_cl45 1   "yes, strongly limited" 2   "yes, limited" 3   "no, not limited"  
label define  ph030_f_cl46 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  ph040_cl47 1   "yes, there was at least one occasion when the person really needed examination or treatment but did not" 2   "no, there was no occasion when the person really needed examination or treatment but did not"  
label define  ph040_f_cl48 1   "filled" -1   "missing" -2   "not applicable: the person did not really need any medical examination or treatment" -3   "not selected respondent"  
label define  ph050_cl49 1   "Could not afford to (too expensive)" 2   "Waiting list" 3   "Could not take time because of work, care for children or for others" 4   "Too far to travel/no means of transportation" 5   "Fear of doctor/hospitals/examination/ treatment" 6   "Wanted to wait and see if problem got better on its own" 7   "Didnt know any good doctor or specialist" 8   "Other reasons"  
label define  ph050_f_cl50 1   "filled" -1   "missing" -2   "na (PH040 not = 1)" -3   "not selected respondent"  
label define  ph060_cl51 1   "yes, there was at least one occasion when the person really needed dental examination or treatment but did not" 2   "no, there was no occasion when the person really needed dental examination or treatment but did not"  
label define  ph060_f_cl52 1   "filled" -1   "missing" -2   "not applicable: the person did not really need any dental examination or treatment" -3   "not selected respondent"  
label define  ph070_cl53 1   "Could not afford to (too expensive)" 2   "Waiting list" 3   "Could not take time because of work, care for children or for others" 4   "Too far to travel/no means of transportation" 5   "Fear of doctor(dentist)/hospitals/examination/ treatment" 6   "Wanted to wait and see if problem got better on its own" 7   "Didnt know any good dentist" 8   "Other reasons"  
label define  ph070_f_cl54 1   "filled" -1   "missing" -2   "na (PH060 not = 1)" -3   "not selected respondent"  
label define  pl015_cl55 1   "yes" 2   "no"  
label define  pl015_f_cl56 1   "filled" -1   "missing" -2   "not applicable  (PL031 = 1, 2, 3 or 4)"  
label define  pl020_cl57 1   "yes" 2   "no"  
label define  pl020_f_cl58 1   "filled" -1   "missing" -2   "not applicable  (PL031 = 1, 2, 3 or 4)"  
label define  pl025_cl59 1   "yes" 2   "no"  
label define  pl025_f_cl60 1   "filled" -1   "missing" -2   "not applicable  (PL031 = 1, 2, 3 or 4)"  
label define  pl031_cl61 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl031_f_cl62 1   "filled" -1   "missing" -5   "missing value of PL031 because PL030 is still used"  
label define  pl035_cl63 1   "yes" 2   "no"  
label define  pl035_f_cl64 1   "filled" -1   "missing" -2   "not applicable (person is not employee or MS has other source to calculate the gender pay gap)" -3   "not selected respondent"  
label define  pl040_cl65 1   "self-employed with employees" 2   "self-employed without employees" 3   "employee" 4   "family worker"  
label define  pl040_f_cl66 1   "filled" -1   "missing" -2   "not applicable ( PL031 not = 1, 2, 3 or 4 and PL015 not = 1)"  
label define  pl051_cl67 1   "Commissioned armed forces officers" 2   "Non-commissioned armed forces officers" 3   "Armed forces occupations, other ranks" 11   "Chief executives, senior officials and legislators" 12   "Administrative and commercial managers" 13   "Production and specialised services managers" 14   "Hospitality, retail and other services managers" 21   "Science and engineering professionals" 22   "Health professionals" 23   "Teaching professionals" 24   "Business and administration professionals" 25   "Information and communications technology professionals" 26   "Legal, social and cultural professionals" 31   "Science and engineering associate professionals" 32   "Health associate professionals" 33   "Business and administration associate professionals" 34   "Legal, social, cultural and related associate professionals" 35   "Information and communications technicians" 41   "General and keyboard clerks" 42   "Customer services clerks" 43   "Numerical and material recording clerks" 44   "Other clerical support workers" 51   "Personal service workers" 52   "Sales workers" 53   "Personal care workers" 54   "Protective services workers" 61   "Market-oriented skilled agricultural workers" 62   "Market-oriented skilled forestry, fishery and hunting workers" 63   "Subsistence farmers, fishers, hunters and gatherers" 71   "Building and related trades workers, excluding electricians" 72   "Metal, machinery and related trades workers" 73   "Handicraft and printing workers" 74   "Electrical and electronic trades workers" 75   "Food processing, wood working, garment and other craft and related trades workers" 81   "Stationary plant and machine operators" 82   "Assemblers" 83   "Drivers and mobile plant operators" 91   "Cleaners and helpers" 92   "Agricultural, forestry and fishery labourers" 93   "Labourers in mining, construction, manufacturing and transport" 94   "Food preparation assistants" 95   "Street and related sales and service workers" 96   "Refuse workers and other elementary workers"  
label define  pl051_f_cl68 1   "filled" -1   "missing" -2   "not applicable (PL031 not = 1, 2, 3 or 4 and PL015 not = 1)" -5   "missing value of PL051 because PL050 is still used"  
label define  pl060_f_cl70 1   "filled" -1   "missing" -2   "not applicable (PL031 not = 1, 2, 3 or 4 and PL035 not = 1)" -6   "hours varying (even an average over 4 weeks is not possible"  
label define  pl073_f_cl72 1   "filled" -1   "missing" -5   "missing value because the definition of this variable is not used (PL088 and PL089 only)"  
label define  pl074_f_cl74 1   "filled" -1   "missing" -5   "missing value because the definition of this variable is not used (PL088 and PL089 only)"  
label define  pl075_f_cl76 1   "filled" -1   "missing" -5   "missing value because the definition of this variable is not used (PL088 and PL089 only)"  
label define  pl076_f_cl78 1   "filled" -1   "missing" -5   "missing value because the definition of this variable is not used (PL088 and PL089 only)"  
label define  pl080_f_cl80 1   "filled" -1   "missing" -5   "missing value because the definition of this variable is not used (PL088 and PL089 only)"  
label define  pl085_f_cl82 1   "filled" -1   "missing" -5   "missing value because the definition of this variable is not used (PL088 and PL089 only)"  
label define  pl086_f_cl84 1   "filled" -1   "missing" -5   "missing value because the definition of this variable is not used (PL088 and PL089 only)"  
label define  pl087_f_cl86 1   "filled" -1   "missing" -5   "missing value because the definition of this variable is not used (PL088 and PL089 only)"  
label define  pl088_f_cl88 1   "filled" -1   "missing" -5   "missing value because the definition of this variable is not used (PL088 and PL089 only)"  
label define  pl089_f_cl90 1   "filled" -1   "missing" -5   "missing value because the definition of this variable is not used (PL088 and PL089 only)"  
label define  pl090_f_cl92 1   "filled" -1   "missing" -5   "missing value because the definition of this variable is not used (PL088 and PL089 only)"  
label define  pl100_f_cl94 1   "filled" -1   "missing" -2   "na (person does not have a second job or PL030 not = 1 or 2)"  
label define  pl111_cl95 a   "Agriculture ,forestry and fishing" f   "Construction" g   "Wholesale retail" h   "Transportation and storage" i   "Accommodation and food service activities" j   "Information and communication" k   "Financial and insurance activities" o   "Public administration and defence, compulsory social security" p   "Education" q   "Human health and social work activities" b - e   "Mining and quarrying, Manufacturing, Electricity, gas, steam and air conditioning supply, Water supply" l - n   "Real estate activities, Professional, scientific and technical activities, Administrative and support service activities" r - u   "Arts, entertainment and recreation, Other service activities, Activities as household as employer..., Activities of extraterritorial organisations and bodies"  
label define  pl111_f_cl96 1   "filled" -1   "missing" -2   "na (PL031 not = 1, 2,3 or 4)" -3   "not selected respondent"  
label define  pl120_cl97 1   "Undergoing education or training" 2   "Personal illness or disability" 3   "Want to work more hours but cannot find a job(s) or work(s) of more hours" 4   "Do not want to work more hours" 5   "Number of hours in all job(s) are considered as a full-time job" 6   "Housework, looking after children or other persons" 7   "Other reasons"  
label define  pl120_f_cl98 1   "filled" -1   "missing" -2   "not applicable (Not (PL031 = 1, 2 , 3 or 4, and PL060 + PL100 < 30))" -3   "not selected respondent"  
label define  pl130_cl99 1   "between 1 and 10" 2   "between 1 and 10" 3   "between 1 and 10" 4   "between 1 and 10" 5   "between 1 and 10" 6   "between 1 and 10" 7   "between 1 and 10" 8   "between 1 and 10" 9   "between 1 and 10" 10   "between 1 and 10" 11   "between 11 and 19 persons" 12   "between 20 and 49 persons" 13   "50 persons and more" 14   "do not know but less than 11 persons" 15   "do not know but more than 10 persons"  
label define  pl130_f_cl100 1   "filled" -1   "missing" -2   "not applicable ( PL031 not = 1, 2, 3 or 4 and PL035 not = 1)" -3   "not selected respondent"  
label define  pl140_cl101 1   "permanent job/work contract of unlimited duration" 2   "temporary job/work contract of limited duration"  
label define  pl140_f_cl102 1   "filled" -1   "missing" -2   "not applicable (PL040 not = 3)" -3   "not selected respondent" -4   "not applicable because the person is employee (PL040=3) but has not any contract"  
label define  pl150_cl103 1   "supervisory" 2   "non-supervisory"  
label define  pl150_f_cl104 1   "filled" -1   "missing" -2   "not applicable (PL040 not = 3)" -3   "not selected respondent"  
label define  pl160_cl105 1   "yes" 2   "no"  
label define  pl160_f_cl106 1   "filled" -1   "missing" -2   "not applicable (PL031 not = 1, 2, 3 or 4)" -3   "not selected respondent"  
label define  pl170_cl107 1   "To take up or seek better job" 2   "End of temporary contract" 3   "Obliged to stop by employer (business closure, redundancy, early retirement, dismissal etc.)" 4   "Sale or closure of own/family business" 5   "Child care and care for other dependent" 6   "Partners job required us to move to another area or marriage" 7   "Other reasons"  
label define  pl170_f_cl108 1   "filled" -1   "missing" -2   "na (PL160 not = 1)" -3   "not selected respondent"  
label define  pl180_cl109 1   "employed - unemployed" 2   "employed - retired" 3   "employed - other inactive" 4   "unemployed - employed" 5   "unemployed - retired" 6   "unemployed - other inactive" 7   "retired - employed" 8   "retired - unemployed" 9   "retired - other inactive" 10   "other inactive - employed" 11   "other inactive - unemployed" 12   "other inactive - retired"  
label define  pl180_f_cl110 1   "filled" -1   "missing" -2   "not applicable (no change since last year)" -3   "not selected respondent"  
label define  pl190_f_cl112 1   "filled" -1   "missing" -2   "not applicable (person never worked i.e. (PL031 not = 1, 2, 3 or 4 AND PL015 not= 1))" -3   "not selected respondent"  
label define  pl200_f_cl114 1   "filled" -1   "missing" -2   "na (person never worked)" -3   "not selected respondent"  
label define  pl211a_cl115 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211a_f_cl116 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl211b_cl117 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211b_f_cl118 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl211c_cl119 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211c_f_cl120 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl211d_cl121 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211d_f_cl122 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl211e_cl123 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211e_f_cl124 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl211f_cl125 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211f_f_cl126 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl211g_cl127 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211g_f_cl128 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl211h_cl129 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211h_f_cl130 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl211i_cl131 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211i_f_cl132 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl211j_cl133 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211j_f_cl134 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl211k_cl135 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211k_f_cl136 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl211l_cl137 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211l_f_cl138 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pd020_cl268 1   "Yes" 2   "No, because cannot afford it" 3   "No, for some other reason"  
label define  pd020_f_cl269 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pd030_cl270 1   "Yes" 2   "No, because cannot afford it" 3   "No, for some other reason"  
label define  pd030_f_cl271 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pd050_cl272 1   "Yes" 2   "No, because cannot afford it" 3   "No, for some other reason"  
label define  pd050_f_cl273 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pd060_cl274 1   "Yes" 2   "No, because cannot afford it" 3   "No, for some other reason"  
label define  pd060_f_cl275 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pd070_cl276 1   "Yes" 2   "No, because cannot afford it" 3   "No, for some other reason"  
label define  pd070_f_cl277 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pd080_cl278 1   "Yes" 2   "No, because cannot afford it" 3   "No, for some other reason"  
label define  pd080_f_cl279 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pc110_cl280 1   "yes" 2   "no"  
label define  pc110_f_cl281 1   "filled" -1   "missing" -3   "not selected respondent" -4   "person currently in formal education" -7   "not applicable PB010 not = 2016"  
label define  pc120_cl282 1   "cannot afford it" 2   "not admitted to the course programme" 3   "time constraints (schedule, family responsibilities, etc.)" 4   "no suitable course or programmes available" 5   "other reasons"  
label define  pc120_f_cl283 1   "filled" -1   "missing" -2   "not applicable (PC110=2)" -3   "not selected respondent" -4   "person currently in formal education" -7   "not applicable PB010 not = 2016"  
label define  pc130_cl284 1   "yes" 2   "no"  
label define  pc130_f_cl285 1   "filled" -1   "missing" -3   "not selected respondent" -7   "not applicable PB010 not = 2016"  
label define  pc140_cl286 1   "yes" 2   "no"  
label define  pc140_f_cl287 1   "filled" -1   "missing" -3   "not selected respondent" -7   "not applicable PB010 not = 2016"  
label define  pc150_cl288 1   "cannot afford it" 2   "not interested" 3   "time constraints (schedule, family responsibilities, etc.)" 4   "no suitable course or programmes available" 5   "not provided by employer" 6   "other reasons"  
label define  pc150_f_cl289 1   "filled" -1   "missing" -2   "not applicable (PC140=1)" -3   "not selected respondent" -7   "not applicable PB010 not = 2016"  
label define  pc260_cl290 1   "yes  only to household members" 2   "yes  only to persons who are not the household members" 3   "yes- to household members and to persons who are not the household members" 4   "no"  
label define  pc260_f_cl291 1   "filled" -1   "missing" -3   "not selected respondent" -7   "not applicable PB010 not = 2016"  
label define  pc270_cl292 1   "less than 10 hours per week" 2   "at least 10 but less than 20 hours per week" 3   "20 hours per week or more"  
label define  pc270_f_cl293 1   "filled" -1   "missing" -2   "not applicable (PC260=4)" -3   "not selected respondent" -7   "not applicable PB010 not = 2016"  
label define  px040_cl297 1   "current household member aged 16 and over Only selected household member aged 16 and over is interviewed" 2   "selected respondent" 3   "not selected respondent Households members aged less than 16 at the time of interview" 4   "not eligible person"  
label define  px050_cl298 2   "employees (SAL)" 3   "employed persons except employees (NSAL)" 4   "other employed (when time of SAL and NSAL is >  of total time calendar)" 5   "unemployed" 6   "retired" 7   "inactive" 8   "other inactive (when time of unemployed, retirement and inactivity is >  of total time calendar)"  
label values  pb020 pb020_cl1
label values  pb040_f pb040_f_cl4
label values  pb060_f pb060_f_cl6
label values  pb100 pb100_cl7
label values  pb100_f pb100_f_cl8
label values  pb110_f pb110_f_cl10
label values  pb120_f pb120_f_cl12
label values  pb130 pb130_cl13
label values  pb130_f pb130_f_cl14
label values  pb140_f pb140_f_cl16
label values  pb150 pb150_cl17
label values  pb150_f pb150_f_cl18
label values  pb160_f pb160_f_cl20
label values  pb170_f pb170_f_cl22
label values  pb180_f pb180_f_cl24
label values  pb190 pb190_cl25
label values  pb190_f pb190_f_cl26
label values  pb200 pb200_cl27
label values  pb200_f pb200_f_cl28
label values  pb210 pb210_cl29
label values  pb210_f pb210_f_cl30
label values  pb220a pb220a_cl31
label values  pb220a_f pb220a_f_cl32
label values  pe010 pe010_cl33
label values  pe010_f pe010_f_cl34
label values  pe020 pe020_cl35
label values  pe020_f pe020_f_cl36
label values  pe030_f pe030_f_cl38
label values  pe040 pe040_cl39
label values  pe040_f pe040_f_cl40
label values  ph010 ph010_cl41
label values  ph010_f ph010_f_cl42
label values  ph020 ph020_cl43
label values  ph020_f ph020_f_cl44
label values  ph030 ph030_cl45
label values  ph030_f ph030_f_cl46
label values  ph040 ph040_cl47
label values  ph040_f ph040_f_cl48
label values  ph050 ph050_cl49
label values  ph050_f ph050_f_cl50
label values  ph060 ph060_cl51
label values  ph060_f ph060_f_cl52
label values  ph070 ph070_cl53
label values  ph070_f ph070_f_cl54
label values  pl015 pl015_cl55
label values  pl015_f pl015_f_cl56
label values  pl020 pl020_cl57
label values  pl020_f pl020_f_cl58
label values  pl025 pl025_cl59
label values  pl025_f pl025_f_cl60
label values  pl031 pl031_cl61
label values  pl031_f pl031_f_cl62
label values  pl035 pl035_cl63
label values  pl035_f pl035_f_cl64
label values  pl040 pl040_cl65
label values  pl040_f pl040_f_cl66
label values  pl051 pl051_cl67
label values  pl051_f pl051_f_cl68
label values  pl060_f pl060_f_cl70
label values  pl073_f pl073_f_cl72
label values  pl074_f pl074_f_cl74
label values  pl075_f pl075_f_cl76
label values  pl076_f pl076_f_cl78
label values  pl080_f pl080_f_cl80
label values  pl085_f pl085_f_cl82
label values  pl086_f pl086_f_cl84
label values  pl087_f pl087_f_cl86
label values  pl088_f pl088_f_cl88
label values  pl089_f pl089_f_cl90
label values  pl090_f pl090_f_cl92
label values  pl100_f pl100_f_cl94
label values  pl111 pl111_cl95
label values  pl111_f pl111_f_cl96
label values  pl120 pl120_cl97
label values  pl120_f pl120_f_cl98
label values  pl130 pl130_cl99
label values  pl130_f pl130_f_cl100
label values  pl140 pl140_cl101
label values  pl140_f pl140_f_cl102
label values  pl150 pl150_cl103
label values  pl150_f pl150_f_cl104
label values  pl160 pl160_cl105
label values  pl160_f pl160_f_cl106
label values  pl170 pl170_cl107
label values  pl170_f pl170_f_cl108
label values  pl180 pl180_cl109
label values  pl180_f pl180_f_cl110
label values  pl190_f pl190_f_cl112
label values  pl200_f pl200_f_cl114
label values  pl211a pl211a_cl115
label values  pl211a_f pl211a_f_cl116
label values  pl211b pl211b_cl117
label values  pl211b_f pl211b_f_cl118
label values  pl211c pl211c_cl119
label values  pl211c_f pl211c_f_cl120
label values  pl211d pl211d_cl121
label values  pl211d_f pl211d_f_cl122
label values  pl211e pl211e_cl123
label values  pl211e_f pl211e_f_cl124
label values  pl211f pl211f_cl125
label values  pl211f_f pl211f_f_cl126
label values  pl211g pl211g_cl127
label values  pl211g_f pl211g_f_cl128
label values  pl211h pl211h_cl129
label values  pl211h_f pl211h_f_cl130
label values  pl211i pl211i_cl131
label values  pl211i_f pl211i_f_cl132
label values  pl211j pl211j_cl133
label values  pl211j_f pl211j_f_cl134
label values  pl211k pl211k_cl135
label values  pl211k_f pl211k_f_cl136
label values  pl211l pl211l_cl137
label values  pl211l_f pl211l_f_cl138
label values  pd020 pd020_cl268
label values  pd020_f pd020_f_cl269
label values  pd030 pd030_cl270
label values  pd030_f pd030_f_cl271
label values  pd050 pd050_cl272
label values  pd050_f pd050_f_cl273
label values  pd060 pd060_cl274
label values  pd060_f pd060_f_cl275
label values  pd070 pd070_cl276
label values  pd070_f pd070_f_cl277
label values  pd080 pd080_cl278
label values  pd080_f pd080_f_cl279
label values  pc110 pc110_cl280
label values  pc110_f pc110_f_cl281
label values  pc120 pc120_cl282
label values  pc120_f pc120_f_cl283
label values  pc130 pc130_cl284
label values  pc130_f pc130_f_cl285
label values  pc140 pc140_cl286
label values  pc140_f pc140_f_cl287
label values  pc150 pc150_cl288
label values  pc150_f pc150_f_cl289
label values  pc260 pc260_cl290
label values  pc260_f pc260_f_cl291
label values  pc270 pc270_cl292
label values  pc270_f pc270_f_cl293
label values  px040 px040_cl297
label values  px050 px050_cl298
*/
save  EU-SILC_A2016_PERSONAL_DATA.dta, replace
